VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsGSError"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

' Dieses Klassenmodul stellt ein DialogFehlerObjekt (clsGSError) dar.
' Die Klassen _
        clsGSFileDialog _
        clsGSFontDialog _
        clsGSColorDialog _
        clsGSPrintDialog _
  geben in ihrer DlgError-Eigenschaft Auskunft ber den _
  Erfolg oder Misserfolg der ausgefhrten Methoden.
  
Private mvarNumber As Long
Private mvarDescription As String
Private mvarHelpContext As Long
Private mvarHelpFile As String
Private mvarLastDllError As Long
Private mvarSource As String

' Raise
Public Sub Raise(ByVal lngNumber As Long, _
                             Optional ByVal strSource As String, _
                             Optional ByVal strDescription As String, _
                             Optional ByVal strHelpFile As String, _
                             Optional ByVal lngHelpContext As Long)
                             
    mvarNumber = lngNumber
    mvarDescription = strDescription
    mvarHelpContext = lngHelpContext
    mvarHelpFile = strHelpFile
    mvarSource = strSource
    
    Err.Raise mvarNumber, mvarSource, mvarDescription, mvarHelpFile, mvarHelpContext
End Sub

' Clear
Public Sub Clear()
    Const NS As String = ""
    Const lngNull As Long = 0
    
    mvarSource = NS
    mvarLastDllError = lngNull
    mvarHelpFile = NS
    mvarHelpContext = lngNull
    mvarDescription = NS
    mvarNumber = lngNull
End Sub


' Source
Public Property Let Source(ByVal vData As String)
    mvarSource = vData
End Property

Public Property Get Source() As String
    Source = mvarSource
End Property



' LastDllError
Public Property Let LastDllError(ByVal vData As Long)
    mvarLastDllError = vData
End Property

Public Property Get LastDllError() As Long
    LastDllError = mvarLastDllError
End Property



' HelpFile
Public Property Let HelpFile(ByVal vData As String)
    mvarHelpFile = vData
End Property

Public Property Get HelpFile() As String
    HelpFile = mvarHelpFile
End Property



' HelpContext
Public Property Let HelpContext(ByVal vData As Long)
    mvarHelpContext = vData
End Property

Public Property Get HelpContext() As Long
    HelpContext = mvarHelpContext
End Property



' Description
Public Property Let Description(ByVal vData As String)
    mvarDescription = vData
End Property

Public Property Get Description() As String
    Description = mvarDescription
End Property



' Number
Public Property Let Number(ByVal vData As Long)
    mvarNumber = vData
End Property

Public Property Get Number() As Long
    Number = mvarNumber
End Property


