Attribute VB_Name = "Registry"
Option Explicit
Global mhKey As HKeyEnum
Global mstrSection As String
Public Function ReadRegSetting(lngHKey As Long, strSection As String, strSettingName As String) As Variant
    ' Einen unter lngHKey\strSection\strSettingName gespeicherten Wert lesen
    
    
    Dim i As Long
    Dim strHexByte As String
    Dim strBuffer As String
    Dim RC As clsGSRegistry
    Dim S As clsGSRegSetting
    
    ' Instanz der clsGSRegistry erstellen
    Set RC = New clsGSRegistry
    
    ' Wert aus Registry lesen
    Set S = RC.ReadSetting(lngHKey, strSection, strSettingName)
    ' wenn ein Wert aus der Registry gelesen werden konnte, _
      gibt RC.ReadSetting() ein Objekt vom Typ clsGSRegSetting zurck
      
    If Not (S Is Nothing) Then
        'txtSetting(0).Text = S.SettingName
        'txtSetting(1).Text = S.RegDataType
        'txtSetting(2).Text = S.TypeNameVB
        'txtSetting(3).Text = S.VarTypeVB
        
        ' gelesenen Wert, abhngig vom RegDataType in _
          txtSetting(4) eintragen
        Select Case S.RegDataType
            Case Numeric_Long
                ReadRegSetting = Format$(S.Setting)
                
            Case Text
                ReadRegSetting = S.Setting
                           
            Case TextUnexpEnviron
                ReadRegSetting = S.Setting
                ' Referenz auf Env.Variable mit "RC.ExpandEnvString() auflsen
                strBuffer = RC.ExpandEnvString(S.Setting)
                
                ' aufgelsten String anfgen
                'txtSetting(4).Text = txtSetting(4).Text & _
                                                vbCrLf & vbCrLf & _
                                                "Expanded Ref:" & vbCrLf & _
                                                strBuffer
            Case BinaryData
                ' die als ByteArray ausgelesenen Daten in Msg zu Zeilen _
                  mit jeweils 10 hexadezimalen Bytewerten zusammenfassen.
                For i = LBound(S.Setting) To UBound(S.Setting)
                    ' Bytewerte in hex.-Darstellung umwandeln _
                      Darstellung 2-stellig (bei Bedarf fhrende "0")
                    strHexByte = Chr$(48) & Hex$(S.Setting(i))
                    strHexByte = Right$(strHexByte, 2)
                    strHexByte = "&h" & strHexByte
                    strBuffer = strBuffer & strHexByte
                    
                    If ((i + 1) Mod 10) Then
                        ' 1 Leerzeichen nach jedem Byte einfgen
                        strBuffer = strBuffer & String$(1, 32)
                    Else
                        ' nach jedem zehnten Byte eine _
                          neue Zeile beginnen.
                        strBuffer = strBuffer & vbCrLf
                    End If
                Next i
                ReadRegSetting = strBuffer
                
            Case MultipleText
                ' StringArray durchlaufen und die einzelnen Texte in _
                  Msg, getrennt durch vbCrLf zusammenfassen.
                Dim buf As String
                For i = LBound(S.Setting) To UBound(S.Setting)
                    If Len(buf) Then
                        buf = buf & vbCrLf
                    End If
                    buf = buf & S.Setting(i)
                    ReadRegSetting = buf
                Next i
        End Select
    Else
        ' Fehler _
        RC.ReadSetting() hat Nothing zurckgegeben
        ReadRegSetting = "Fehler: " & RC.RegError.Number & vbCrLf & _
                                        RC.RegError.Description & vbCrLf & _
                                        "Source: " & RC.RegError.Source
    End If
    
    Set S = Nothing
    Set RC = Nothing
    
End Function


Public Function ShowErrorMessage(ErrObj As clsGSError, Optional CancelButton As Boolean) As Integer
    Dim Msg As String
    Dim Icon As Integer
    Dim bCanButton As Boolean
    
    ' wenn CancelButton =true bergeben wird, dann wird eine _
      MsgBox mit "Abbrechen"- u. "OK"- Button erzeugt. _
      ShowErrorMessage gibt dann je nach Benutzerantwort _
      vbOK oder vbCancel zurck
      
    ' wenn CancelButton = 0 bergeben wird wird eine einfache _
      MsgBox mit OK-Button erzeugt. _
      ShowErrorMessage gibt 0 zurck
      
    bCanButton = CBool(CancelButton)
    
    Msg = "Fehler: " & ErrObj.Number & vbCrLf & _
               ErrObj.Description & vbCrLf & vbLf & _
               "Source: " & ErrObj.Source
               
    If bCanButton Then
        ShowErrorMessage = MsgBox(Msg, vbCritical Or vbOKCancel)
    Else
        MsgBox Msg, vbCritical
    End If
End Function


